class AccountingController < ApplicationController

def show_current_accounting_data
	
	set_times_from_params

	acc = Accounting.new
	
	@user_data = acc.get_global_accounting_data(@start_time, @end_time)
	@total_calls = acc.total_calls
	@total_minutes = acc.total_minutes
	@local_to_sip_calls = acc.local_to_sip_calls
	@local_to_sip_minutes = acc.local_to_sip_minutes
	@external_to_sip_calls = acc.external_to_sip_calls
	@external_to_sip_minutes = acc.external_to_sip_minutes
	@sip_to_sip_calls = acc.sip_to_sip_calls
	@sip_to_sip_minutes = acc.sip_to_sip_minutes
	@sip_to_local_calls = acc.sip_to_local_calls
	@sip_to_local_minutes = acc.sip_to_local_minutes
	@sip_to_external_calls = acc.sip_to_external_calls
	@sip_to_external_minutes = acc.sip_to_external_minutes

end

def show_user_accounting_data

	set_times_from_params

	@voip_account = VoipAccount.find_by_username(params[:number])
	@customer_name = @voip_account.full_name
	@customer_number = @voip_account.username

	acc = Accounting.new

	@call_data = acc.get_user_accounting_data(@voip_account, @start_time, @end_time)

	@total_calls = acc.total_calls
	@total_minutes = acc.total_minutes
	@local_to_sip_calls = acc.local_to_sip_calls
	@local_to_sip_minutes = acc.local_to_sip_minutes
	@external_to_sip_calls = acc.external_to_sip_calls
	@external_to_sip_minutes = acc.external_to_sip_minutes
	@sip_to_sip_calls = acc.sip_to_sip_calls
	@sip_to_sip_minutes = acc.sip_to_sip_minutes
	@sip_to_local_calls = acc.sip_to_local_calls
	@sip_to_local_minutes = acc.sip_to_local_minutes
	@sip_to_external_calls = acc.sip_to_external_calls
	@sip_to_external_minutes = acc.sip_to_external_minutes
	
end

private

def set_times_from_params
	begin
		st_array = params[:time_range][:start_time]
		@start_time = Time.mktime(st_array[:year], st_array[:month], st_array[:day] ).to_date
	rescue
		@start_time = Time.mktime(Time.now.year, Time.now.month).to_date
		
	end
	
	begin
		et_array = params[:time_range][:end_time]
		@end_time = Time.mktime(et_array[:year], et_array[:month], et_array[:day]).to_date
	rescue
		@end_time = Time.mktime(Time.now.year, Time.now.month + 1).to_date
	end
end

end
