class LoginController < ApplicationController

  model   :user
  layout  'application', :except => :login
  observer :user_observer
  before_filter :login_required, :except => :login

  def login
    case @request.method
      when :post
        if @session['user'] = User.authenticate(@params['user_login'], @params['user_password'])

          flash['notice']  = "Login successful"
          redirect_back_or_default :action => "welcome"
        else
          @login    = @params['user_login']
          @message  = "Login unsuccessful"
      end
    end
  end

  def list
    @user_pages, @users = paginate :users, :per_page => 10, :order_by => 'login'
  end
  
  def signup
    case @request.method
      when :post
        @user = User.new(@params['user'])
        
        if @user.save      
          @session['user'] = User.authenticate(@user.login, @params['user']['password'])
          flash[:notice] = "User added successfully"
          redirect_to :controller => 'login', :action => "list"          
        end
      when :get
        @user = User.new
    end      
  end  
  
  def delete
    if @params['id']
      @user = User.find(@params['id'])
      @user.destroy
    end
	flash[:notice] = 'User Successfully Deleted.'
    redirect_to :controller => 'login', :action => 'list'
  end

  def edit
	@user = @session['user']
  end

  def change_password
	@user = @session['user']
	if @user.change_password(@params['user']['password'], @params['user']['password_confirmation'])
      flash[:notice] = 'Password Changed.'
      redirect_to :controller => ''
    else
	  flash[:notice] = 'Password Change Failed.'
      redirect_to :controller => 'login', :action => 'edit'
    end
  end
    
  def logout
    @session['user'] = nil
	flash[:notice] = 'Successfully Logged Out'
	redirect_to :controller => 'login', :action => 'login'
  end
    
  def welcome
	flash[:notice] = 'Login Successful'
	redirect_to :controller => 'voip_accounts', :action => 'list'
  end
  
end
