class PstnBlocksController < ApplicationController
  def index
    list
    render :action => 'list'
  end

  # GETs should be safe (see http://www.w3.org/2001/tag/doc/whenToUseGet.html)
  verify :method => :post, :only => [ :destroy, :create, :update ],
         :redirect_to => { :action => :list }

  def list
    @pstn_block_pages, @pstn_blocks = paginate :pstn_blocks, :per_page => 10
  end

  def show
    @pstn_block = PstnBlock.find(params[:id])
  end

  def new
    @pstn_block = PstnBlock.new
  end

  def create
    @pstn_block = PstnBlock.new(params[:pstn_block])
    if @pstn_block.save
      flash[:notice] = 'PstnBlock was successfully created.'
      redirect_to :action => 'list'
    else
      render :action => 'new'
    end
  end

  def edit
    @pstn_block = PstnBlock.find(params[:id])
  end

  def update
    @pstn_block = PstnBlock.find(params[:id])
    if @pstn_block.update_attributes(params[:pstn_block])
      flash[:notice] = 'PstnBlock was successfully updated.'
      redirect_to :action => 'show', :id => @pstn_block
    else
      render :action => 'edit'
    end
  end

  def destroy
    PstnBlock.find(params[:id]).destroy
    redirect_to :action => 'list'
  end
end
