class VoipAccountPreferenceTypesController < ApplicationController
  def index
    list
    render :action => 'list'
  end

  # GETs should be safe (see http://www.w3.org/2001/tag/doc/whenToUseGet.html)
  verify :method => :post, :only => [ :destroy, :create, :update ],
         :redirect_to => { :action => :list }

  def list
    @voip_account_preference_types_pages, @voip_account_preference_types = paginate :voip_account_preference_types, :per_page => 10
  end

  def show
    @voip_account_preference_type = VoipAccountPreferenceType.find(params[:id])
  end

  def new
    @voip_account_preference_type = VoipAccountPreferenceType.new
  end

  def create
    @voip_account_preference_type = VoipAccountPreferenceType.new(params[:voip_account_preference_type])
    if @voip_account_preference_type.save
      flash[:notice] = 'VoipAccountPreferenceType was successfully created.'
      redirect_to :action => 'list'
	else
      render :action => 'new'
    end
  end

  def edit
    @voip_account_preference_type = VoipAccountPreferenceType.find(params[:id])
  end

  def update
    @voip_account_preference_type = VoipAccountPreferenceType.find(params[:id])
    if @voip_account_preference_type.update_attributes(params[:voip_account_preference_type])
      flash[:notice] = 'VoipAccountPreferenceType was successfully updated.'
      redirect_to :action => 'show', :id => @voip_account_preference_type
    else
		render :action => 'edit'
    end
  end

  def destroy
    VoipAccountPreferenceType.find(params[:id]).destroy
    redirect_to :action => 'list'
  end
end
