class VoipAccountPreferencesController < ApplicationController
  def index
    list
    render :action => 'list'
  end

  # GETs should be safe (see http://www.w3.org/2001/tag/doc/whenToUseGet.html)
  verify :method => :post, :only => [ :destroy, :create, :update ],
         :redirect_to => { :action => :list }

  def list    
	@voip_account_preference_pages, @voip_account_preferences = paginate :voip_account_preferences, :per_page => 10
  end

  def show
    @voip_account_preference = VoipAccountPreference.find(params[:id])
  end

  def new
    @voip_account_preference = VoipAccountPreference.new
	@users = VoipAccount.find(:all)
	@domains = VoipDomain.find(:all)
	@preference_types = VoipAccountPreferenceType.find(:all)
  end

  def create
    @voip_account_preference = VoipAccountPreference.new(params[:voip_account_preference])
    if @voip_account_preference.save
      flash[:notice] = 'VoipAccountPreference was successfully created.'
      redirect_to :action => 'list'
	else
		@users = VoipAccount.find(:all)
		@domains = VoipDomain.find(:all)
		@preference_types = VoipAccountPreferenceType.find(:all)
      render :action => 'new'
    end
  end

  def edit
    @voip_account_preference = VoipAccountPreference.find(params[:id])
    @users = VoipAccount.find(:all)
	@domains = VoipDomain.find(:all)
	@preference_types = VoipAccountPreferenceType.find(:all)
  end

  def update
    @voip_account_preference = VoipAccountPreference.find(params[:id])
    if @voip_account_preference.update_attributes(params[:voip_account_preference])
      flash[:notice] = 'VoipAccountPreference was successfully updated.'
      redirect_to :action => 'show', :id => @voip_account_preference
    else
		render :action => 'edit'
		@users = VoipAccount.find(:all)
		@domains = VoipDomain.find(:all)
		@preference_types = VoipAccountPreferenceType.find(:all)
    end
  end

  def destroy
    VoipAccountPreference.find(params[:id]).destroy
    redirect_to :action => 'list'
  end
end
