class VoipAccountsController < ApplicationController
  def index
    list
    render :action => 'list'
  end

  # GETs should be safe (see http://www.w3.org/2001/tag/doc/whenToUseGet.html)
  verify :method => :post, :only => [ :destroy, :create, :update ],
         :redirect_to => { :action => :list }

  def list
    @voip_account_pages, @voip_accounts = paginate :voip_accounts, :per_page => 10, :order_by => 'last_name'
  end

  def show
    @voip_account = VoipAccount.find(params[:id])
  end

  def new
    @voip_account = VoipAccount.new
    @domains = VoipDomain.find(:all)
  end

  def create
    @voip_account = VoipAccount.new(params[:voip_account])
    if @voip_account.save
      flash[:notice] = 'VoipAccount was successfully created.'
      redirect_to :action => 'list'
    else
      @domains = VoipDomain.find(:all)
      render :action => 'new'
    end
  end

  def edit
    @voip_account = VoipAccount.find(params[:id])
    @domains = VoipDomain.find(:all)
  end

  def update
    @voip_account = VoipAccount.find(params[:id])
    if @voip_account.update_attributes(params[:voip_account])
      flash[:notice] = 'VoipAccount was successfully updated.'
      redirect_to :action => 'show', :id => @voip_account
    else
      @domains = VoipDomain.find(:all)
      render :action => 'edit'
    end
  end

  def destroy
    VoipAccount.find(params[:id]).destroy
    redirect_to :action => 'list'
  end
end
