class VoipDomainsController < ApplicationController
  def index
    list
    render :action => 'list'
  end

  # GETs should be safe (see http://www.w3.org/2001/tag/doc/whenToUseGet.html)
  verify :method => :post, :only => [ :destroy, :create, :update ],
         :redirect_to => { :action => :list }

  def list
    @voip_domain_pages, @voip_domains = paginate :voip_domains, :per_page => 10
  end

  def show
    @voip_domain = VoipDomain.find(params[:id])
  end

  def new
    @voip_domain = VoipDomain.new
  end

  def create
    @voip_domain = VoipDomain.new(params[:voip_domain])
    @voip_domain.id = params[:voip_domain]['id']
    if @voip_domain.save
      flash[:notice] = 'VoipDomain was successfully created.'
      redirect_to :action => 'list'
    else
      render :action => 'new'
    end
  end

  def edit
    @voip_domain = VoipDomain.find(params[:id])
	@old_id = params[:id]
  end

  def update
    @voip_domain = VoipDomain.find(params[:id])
	
	if @voip_domain.update_attributes(params[:voip_domain])
      flash[:notice] = 'VoipDomain was successfully updated.'
      redirect_to :action => 'show', :id => @voip_domain
    else
      render :action => 'edit'
    end
  end

  def destroy
    VoipDomain.find(params[:id]).destroy
    redirect_to :action => 'list'
  end
end
