class VoipGroupMembersController < ApplicationController
  def index
    list
    render :action => 'list'
  end

  # GETs should be safe (see http://www.w3.org/2001/tag/doc/whenToUseGet.html)
  verify :method => :post, :only => [ :destroy, :create, :update ],
         :redirect_to => { :action => :list }

  def list
    @voip_group_members_pages, @voip_group_members = paginate :voip_group_members, :per_page => 10
  end

  def show
    @voip_group_member = VoipGroupMember.find(params[:id])
  end

  def new
    @voip_group_member = VoipGroupMember.new
	@voip_groups = VoipGroup.find(:all)
    @users = VoipAccount.find(:all)
	@domains = VoipDomain.find(:all)
  end

  def create
    @voip_group_member = VoipGroupMember.new(params[:voip_group_member])
    if @voip_group_member.save
      flash[:notice] = 'VoipGroupMember was successfully created.'
      redirect_to :action => 'list'
    else
      @users = VoipAccount.find(:all)
	  @domains = VoipDomain.find(:all)
	  @voip_groups = VoipGroup.find(:all)
      render :action => 'new'
    end
  end

  def edit
    @voip_group_member = VoipGroupMember.find(params[:id])
    @users = VoipAccount.find(:all)
	@domains = VoipDomain.find(:all)
	@voip_groups = VoipGroup.find(:all)
  end

  def update
    @voip_group_member = VoipGroupMember.find(params[:id])
    if @voip_group_member.update_attributes(params[:voip_group_member])
      flash[:notice] = 'VoipGroupMember was successfully updated.'
      redirect_to :action => 'show', :id => @voip_group_member
    else
      render :action => 'edit'
      @users = VoipAccount.find(:all)
	  @domains = VoipDomain.find(:all)
	  @voip_groups = VoipGroup.find(:all)
    end
  end

  def destroy
    VoipGroupMember.find(params[:id]).destroy
    redirect_to :action => 'list'
  end
end
