class VoipGroupsController < ApplicationController
  def index
    list
    render :action => 'list'
  end

  # GETs should be safe (see http://www.w3.org/2001/tag/doc/whenToUseGet.html)
  verify :method => :post, :only => [ :destroy, :create, :update ],
         :redirect_to => { :action => :list }

  def list
    @voip_group_pages, @voip_groups = paginate :voip_groups, :per_page => 10
  end

  def show
    @voip_group = VoipGroup.find(params[:id])
  end

  def new
    @voip_group = VoipGroup.new
  end

  def create
    @voip_group = VoipGroup.new(params[:voip_group])
    if @voip_group.save
      flash[:notice] = 'VoIP Group was successfully created.'
      redirect_to :action => 'list'
    else
      render :action => 'new'
    end
  end

  def edit
    @voip_group = VoipGroup.find(params[:id])
  end

  def update
    @voip_group = VoipGroup.find(params[:id])
    if @voip_group.update_attributes(params[:voip_group])
      flash[:notice] = 'VoIP Group was successfully updated.'
      redirect_to :action => 'show', :id => @voip_group
    else
      render :action => 'edit'
    end
  end

  def destroy
    VoipGroup.find(params[:id]).destroy
    redirect_to :action => 'list'
  end
end
