class VoipVoicemailAccountsController < ApplicationController
  def index
    list
    render :action => 'list'
  end

  # GETs should be safe (see http://www.w3.org/2001/tag/doc/whenToUseGet.html)
  verify :method => :post, :only => [ :destroy, :create, :update ],
         :redirect_to => { :action => :list }

  def list
    @voip_voicemail_account_pages, @voip_voicemail_accounts = paginate :voip_voicemail_accounts, :per_page => 10
  end

  def show
    @voip_voicemail_account = VoipVoicemailAccount.find(params[:id])
  end

  def new
    @voip_voicemail_account = VoipVoicemailAccount.new
  end

  def create
    @voip_voicemail_account = VoipVoicemailAccount.new(params[:voip_voicemail_account])
    if @voip_voicemail_account.save
      flash[:notice] = 'VoipVoicemailAccount was successfully created.'
      redirect_to :action => 'list'
    else
      render :action => 'new'
    end
  end

  def edit
    @voip_voicemail_account = VoipVoicemailAccount.find(params[:id])
  end

  def update
    @voip_voicemail_account = VoipVoicemailAccount.find(params[:id])
    if @voip_voicemail_account.update_attributes(params[:voip_voicemail_account])
      flash[:notice] = 'VoipVoicemailAccount was successfully updated.'
      redirect_to :action => 'show', :id => @voip_voicemail_account
    else
      render :action => 'edit'
    end
  end

  def destroy
    VoipVoicemailAccount.find(params[:id]).destroy
    redirect_to :action => 'list'
  end
end
