require File.dirname(__FILE__) + '/../test_helper'
require 'pstn_blocks_controller'

# Re-raise errors caught by the controller.
class PstnBlocksController; def rescue_action(e) raise e end; end

class PstnBlocksControllerTest < Test::Unit::TestCase
  fixtures :pstn_blocks

  def setup
    @controller = PstnBlocksController.new
    @request    = ActionController::TestRequest.new
    @response   = ActionController::TestResponse.new
  end

  def test_index
    get :index
    assert_response :success
    assert_template 'list'
  end

  def test_list
    get :list

    assert_response :success
    assert_template 'list'

    assert_not_nil assigns(:pstn_blocks)
  end

  def test_show
    get :show, :id => 1

    assert_response :success
    assert_template 'show'

    assert_not_nil assigns(:pstn_block)
    assert assigns(:pstn_block).valid?
  end

  def test_new
    get :new

    assert_response :success
    assert_template 'new'

    assert_not_nil assigns(:pstn_block)
  end

  def test_create
    num_pstn_blocks = PstnBlock.count

    post :create, :pstn_block => {}

    assert_response :redirect
    assert_redirected_to :action => 'list'

    assert_equal num_pstn_blocks + 1, PstnBlock.count
  end

  def test_edit
    get :edit, :id => 1

    assert_response :success
    assert_template 'edit'

    assert_not_nil assigns(:pstn_block)
    assert assigns(:pstn_block).valid?
  end

  def test_update
    post :update, :id => 1
    assert_response :redirect
    assert_redirected_to :action => 'show', :id => 1
  end

  def test_destroy
    assert_not_nil PstnBlock.find(1)

    post :destroy, :id => 1
    assert_response :redirect
    assert_redirected_to :action => 'list'

    assert_raise(ActiveRecord::RecordNotFound) {
      PstnBlock.find(1)
    }
  end
end
