require File.dirname(__FILE__) + '/../test_helper'
require 'voip_accounts_controller'

# Re-raise errors caught by the controller.
class VoipAccountsController; def rescue_action(e) raise e end; end

class VoipAccountsControllerTest < Test::Unit::TestCase
  fixtures :voip_accounts

  def setup
    @controller = VoipAccountsController.new
    @request    = ActionController::TestRequest.new
    @response   = ActionController::TestResponse.new
  end

  def test_index
    get :index
    assert_response :success
    assert_template 'list'
  end

  def test_list
    get :list

    assert_response :success
    assert_template 'list'

    assert_not_nil assigns(:voip_accounts)
  end

  def test_show
    get :show, :id => 1

    assert_response :success
    assert_template 'show'

    assert_not_nil assigns(:voip_account)
    assert assigns(:voip_account).valid?
  end

  def test_new
    get :new

    assert_response :success
    assert_template 'new'

    assert_not_nil assigns(:voip_account)
  end

  def test_create
    num_voip_accounts = VoipAccount.count

    post :create, :voip_account => {}

    assert_response :redirect
    assert_redirected_to :action => 'list'

    assert_equal num_voip_accounts + 1, VoipAccount.count
  end

  def test_edit
    get :edit, :id => 1

    assert_response :success
    assert_template 'edit'

    assert_not_nil assigns(:voip_account)
    assert assigns(:voip_account).valid?
  end

  def test_update
    post :update, :id => 1
    assert_response :redirect
    assert_redirected_to :action => 'show', :id => 1
  end

  def test_destroy
    assert_not_nil VoipAccount.find(1)

    post :destroy, :id => 1
    assert_response :redirect
    assert_redirected_to :action => 'list'

    assert_raise(ActiveRecord::RecordNotFound) {
      VoipAccount.find(1)
    }
  end
end
