require File.dirname(__FILE__) + '/../test_helper'
require 'voip_domains_controller'

# Re-raise errors caught by the controller.
class VoipDomainsController; def rescue_action(e) raise e end; end

class VoipDomainsControllerTest < Test::Unit::TestCase
  fixtures :voip_domains

  def setup
    @controller = VoipDomainsController.new
    @request    = ActionController::TestRequest.new
    @response   = ActionController::TestResponse.new
  end

  def test_index
    get :index
    assert_response :success
    assert_template 'list'
  end

  def test_list
    get :list

    assert_response :success
    assert_template 'list'

    assert_not_nil assigns(:voip_domains)
  end

  def test_show
    get :show, :id => 1

    assert_response :success
    assert_template 'show'

    assert_not_nil assigns(:voip_domain)
    assert assigns(:voip_domain).valid?
  end

  def test_new
    get :new

    assert_response :success
    assert_template 'new'

    assert_not_nil assigns(:voip_domain)
  end

  def test_create
    num_voip_domains = VoipDomain.count

    post :create, :voip_domain => {}

    assert_response :redirect
    assert_redirected_to :action => 'list'

    assert_equal num_voip_domains + 1, VoipDomain.count
  end

  def test_edit
    get :edit, :id => 1

    assert_response :success
    assert_template 'edit'

    assert_not_nil assigns(:voip_domain)
    assert assigns(:voip_domain).valid?
  end

  def test_update
    post :update, :id => 1
    assert_response :redirect
    assert_redirected_to :action => 'show', :id => 1
  end

  def test_destroy
    assert_not_nil VoipDomain.find(1)

    post :destroy, :id => 1
    assert_response :redirect
    assert_redirected_to :action => 'list'

    assert_raise(ActiveRecord::RecordNotFound) {
      VoipDomain.find(1)
    }
  end
end
